<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- Essencial para design responsivo -->
    <meta property="og:title" content="Calculadora CLT x PJ" />
    <meta property="og:description" content="Calcule a equivalência entre salários CLT e PJ para cargos Comissionados. Müller Fernandes" />
    <meta property="og:type" content="website" />
    
    <title>Calculadora CLT x PJ</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            padding: 20px;
            background-color: #f0f0f0; /* Substitua pela cor principal do seu site */
            color: #333;
        }

        .container {
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            max-width: 600px;
            margin: auto;
        }

        h1 {
            color: #0056b3; /* Substitua pela cor principal do seu site */
            text-align: center;
        }

        h3 {
            color: #0056b3; /* Substitua pela cor principal do seu site */
            text-align: center;
        }

        .input-group {
            margin-bottom: 20px;
        }

        label {
            display: block;
            margin-bottom: 5px;
        }

        input[type=number] {
            width: 100%;
            padding: 10px;
            border-radius: 4px;
            border: 1px solid #ddd;
        }

        #resultado {
            margin-top: 20px;
            font-weight: bold;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        th, td {
            text-align: left;
            padding: 8px;
            border-bottom: 1px solid #ddd;
        }

        th {
            background-color: #f7f7f7;
        }

        a {
            display: inline-block;
            margin-top: 20px;
            text-decoration: none;
            color: #0056b3;
        }
        .form-section {
            background-color: #f7f7f7;
            padding: 15px;
            margin-top: 30px;
            border-radius: 8px;
            box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
        }

        .form-section:not(:first-of-type) {
            margin-top: 50px;
        }

        .table-section {
            margin-top: 20px;
        }
        /* Estilos Responsivos */
        @media (max-width: 768px) {
            .container {
                max-width: 100%;
                padding: 10px;
            }

            .input-group, .table-section {
                margin-bottom: 15px;
            }

            input[type=number] {
                padding: 8px;
            }
            
            th, td {
                padding: 6px;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Calculadora CLT x PJ</h1>
        <h3>Um experimento de Müller Fernandes</h3>
        
        <div class="form-section">
            <form id="salarioForm">
                <div class="input-group">
                    <label for="salario_fixo">Salário Fixo:</label>
                    <input type="number" id="salario_fixo" oninput="calcular()">
                </div>
            </form>
            <!-- Tabela de Cálculos -->
            <div class="table-section">
                <table>
                    <thead>
                        <tr>
                            <th>Descrição</th>
                            <th>Valor (R$)</th>
                        </tr>
                    </thead>
                    <tbody id="detalhesCalculo">
                        <!-- Linhas de cálculos serão inseridas aqui -->
                    </tbody>
                </table>
            </div>
        </div>
    
        <div class="form-section">
            <form id="comissaoForm">
                <div class="input-group">
                    <label for="venda">Venda Comissionada:</label>
                    <input type="number" id="venda" oninput="calcularComissao()">
                </div>
                <div class="input-group">
                    <label for="porcentagem_comissao">Comissão CLT(%):</label>
                    <input type="number" id="porcentagem_comissao" oninput="calcularComissao()">
                </div>
                <div class="input-group">
                    <label for="lucro">Comissão PJ Esperada(%):</label>
                    <input type="number" id="lucro" oninput="calcularComissao()">
                </div>
            </form>
            <!-- Tabela de Comissões -->
            <div class="table-section">
                <table>
                    <thead>
                        <tr>
                            <th>Descrição</th>
                            <th>Valor (R$)</th>
                        </tr>
                    </thead>
                    <tbody id="detalhesComissao">
                        <!-- Linhas de cálculos serão inseridas aqui -->
                    </tbody>
                </table>
            </div>
        </div>
    
        <!--<a href="http://mfs.eng.br">Voltar para mfs.eng.br</a>-->
    </div>
    

    <script>
        function calcular() {
            let salarioFixo = parseFloat(document.getElementById('salario_fixo').value) || 0;

            let rendaTotalCLT = salarioFixo;
            let rendaTotalCLTComBeneficios = rendaTotalCLT+rendaTotalCLT * 0.08+calcularINSS(rendaTotalCLT)
            +(rendaTotalCLT / 12)+(rendaTotalCLT / 12)+(rendaTotalCLT/3/12) ;

            // Adicionando cálculos detalhados
            document.getElementById('detalhesCalculo').innerHTML = `
                <tr><td>FGTS:</td><td>${(rendaTotalCLT * 0.08).toFixed(2)}</td></tr>
                <tr><td>INSS:<br><small>
                    Aqui estamos aplicando a tabela de INSS do CLT.
                Sempre é bom lembrar que para PJ, o recolhimento de INSS que garante todos os direitos,
            bem como uma aposentadoria com salario proporcional não é a tabela de CLT,
        mas sim 20% do pro-labore. Isso não está sendo contabiliado aqui.<br>Aqui estamos aplicando a tabela INSS CLT</small></td><td>${calcularINSS(rendaTotalCLT).toFixed(2)}</td></tr>
                <tr><td>13º Salário:</td><td>${(rendaTotalCLT / 12).toFixed(2)}</td></tr>
                <tr><td>Férias+1/3:</td><td>${((rendaTotalCLT / 12)+(rendaTotalCLT/3/12) ).toFixed(2)}</td></tr>
                <tr><td><b>Salário PJ:</b></td><td><b>${(rendaTotalCLTComBeneficios).toFixed(2)}</b></td></tr>
            `;

            let rendaEquivalentePJ = rendaTotalCLTComBeneficios; // + custos adicionais + margem de lucro
            document.getElementById('resultado').innerText = 'Renda equivalente como PJ: R$ ' + rendaEquivalentePJ.toFixed(2);
        }

        function calcularComissao() {
            let salarioFixo = parseFloat(document.getElementById('venda').value) || 0;
            let comissaoMedia = parseFloat(document.getElementById('porcentagem_comissao').value) || 0;
            let lucro = parseFloat(document.getElementById('lucro').value) || 0;

            let rendaTotal = salarioFixo*comissaoMedia/100;
            let fgts = rendaTotal*0.08;
            let inss = calcularINSS(rendaTotal);
            let salario_13 = rendaTotal / 12;
            let ferias = (rendaTotal / 12)+(rendaTotal /3/12);
            let rendaTotalComBeneficios = rendaTotal+fgts+inss+salario_13+ferias;
            let comissao_nova = salarioFixo*lucro/100;


            let lucroValor = comissao_nova - rendaTotalComBeneficios;
            let lucroTexto;


            if (lucroValor < 0) {
                lucroTexto = `<span style="color: red;"><b>${lucroValor.toFixed(2)}</b></span>`;
            } else {
                lucroTexto = `<b>${lucroValor.toFixed(2)}</b>`;
            }


            // Adicionando cálculos detalhados
            document.getElementById('detalhesComissao').innerHTML = `
                <tr><td>Comissão:</td><td>${(rendaTotal).toFixed(2)}</td></tr>
                <tr><td>FGTS:</td><td>${(fgts).toFixed(2)}</td></tr>
                <tr><td>INSS:<br><small>Aqui estamos aplicando a tabela de INSS do CLT</small></td><td>${(inss).toFixed(2)}</td></tr>
                <tr><td>13º Salário:</td><td>${(salario_13).toFixed(2)}</td></tr>
                <tr><td>Férias+1/3:</td><td>${(ferias).toFixed(2)}</td></tr>
                <tr><td><b>Comissão PJ Equivalente:</b></td><td><b>${(rendaTotalComBeneficios).toFixed(2)}</b></td></tr>
                <tr><td>Comissão PJ Equivalente (%):</td><td>${(100*rendaTotalComBeneficios/salarioFixo).toFixed(2)}%</td></tr>
                <tr><td><b>Comissão PJ Esperada:</b></td><td><b>${(comissao_nova).toFixed(2)}</b></td></tr>
                <tr><td><b>Lucro:</b>
                    <br><small>Lembrando que este valor deve comtemplar:
                    <ul>
                        <li>Abertura de CNPJ</li>
                        <li>Emissão de DAS</li>
                        <li>Impostos do PJ</li>
                        <li>Mais Valia meu Camarada Comunistinha  <img src="comunista.png" style="width: 20px; height: 20px;" alt="Foice e Martelo">
                        </li>
                    </ul>
                </small></td><td><b>${lucroTexto}</b></td></tr>
            `;
        }

        function calcularINSS(salario) {
            // Tabela progressiva para empregado, empregado doméstico e trabalhador avulso
            const faixas_empregado = [
                { limite: 1320.00, aliquota: 0.075 },
                { limite: 2571.29, aliquota: 0.09 },
                { limite: 3856.94, aliquota: 0.12 },
                { limite: 7507.49, aliquota: 0.14 }
            ];
    
            let inss = 0;
            let salarioRestante = salario;
    
            // Assume que o cálculo é para um empregado (não contribuinte individual)
            for (let i = 0; i < faixas_empregado.length; i++) {
                let faixa = faixas_empregado[i];
                if (salario <= faixa.limite) {
                    inss += salarioRestante * faixa.aliquota;
                    break;
                } else {
                    inss += (faixa.limite - (i === 0 ? 0 : faixas_empregado[i - 1].limite)) * faixa.aliquota;
                    salarioRestante -= faixa.limite;
                }
            }
    
            return inss;
        }
    </script>
</body>
</html>
